Bug 202246 - (CVE-2006-4031) CVE-2006-4031 MySQL improper permission revocation
CVE-2006-4031 MySQL improper permission revocation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity low
: ---
: ---
Assigned To: Tom Lane
David Lawrence
source=cve,reported=20060809,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 15:19 EDT by Josh Bressers
Modified: 2013-07-02 23:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 03:51:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-08-11 15:19:20 EDT
MySQL improper permission revocation

If a user has been granted permissions to create a MERGE table, even
after permissions have been revoked from the parent table, the user
can access the data via the MERGE table.

More information including a patch can be found here:
http://bugs.mysql.com/bug.php?id=15195
Comment 1 Mark J. Cox (Product Security) 2007-08-21 06:57:26 EDT
moving to security response parent bug
Comment 5 Red Hat Product Security 2008-07-25 03:51:14 EDT
This issue was addressed in:

Red Hat Application Stack:
  http://rhn.redhat.com/errata/RHSA-2007-0083.html

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0364.html
  http://rhn.redhat.com/errata/RHSA-2008-0768.html


Note You need to log in before you can comment on or make changes to this bug.